<?php

namespace Drupal\designs\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines a design setting annotation object.
 *
 * Plugin Namespace: Plugin\designs\Setting
 *
 * @see \Drupal\designs\DesignSettingInterface
 * @see \Drupal\designs\DesignSettingBase
 * @see \Drupal\designs\DesignSettingManager
 * @see plugin_api
 *
 * @Annotation
 */
class DesignSetting extends Plugin {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The human-readable name of the design setting.
   *
   * @ingroup plugin_translatable
   *
   * @var \Drupal\Core\Annotation\Translation
   */
  public $label;

  /**
   * An optional description for design settings form input.
   *
   * @var string
   *
   * @ingroup plugin_translatable
   */
  public $description;

}
