<?php

namespace Drupal\designs\Plugin\designs\content;

use Drupal\Core\Form\FormStateInterface;
use Drupal\designs\DesignContentBase;

/**
 * The twig content plugin.
 *
 * @DesignContent(
 *   id = "twig",
 *   label = @Translation("Twig")
 * )
 */
class TwigContent extends DesignContentBase {

  /**
   * {@inheritdoc}
   */
  public function defaultConfiguration() {
    return parent::defaultConfiguration() + [
      'value' => '',
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    $form['value'] = [
      '#type' => 'textarea',
      '#title' => $this->t('Template'),
      '#default_value' => $this->configuration['value'],
    ];
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function build(array &$element) {
    return [
      '#type' => 'inline_template',
      '#template' => $this->configuration['value'],
      '#context' => $element['#context'] ?? [],
    ];
  }

}
